libdbd-mysql-perl (4.052-1ubuntu2) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 17:04:31 +0100

libdbd-mysql-perl (4.052-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Fix compatibility with MySQL 8.0.34 (LP: #2031548)
      + debian/patches/fix-mysql-8034-compat.patch: don't set
        MYSQL_OPT_RECONNECT as it is deprecated and spews an error message.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Feb 2024 13:47:20 +0100

libdbd-mysql-perl (4.052-1) unstable; urgency=medium

  * Import upstream version 4.052.
  * Drop 0001-Fix-for-MariaDB-10.3.13-with-zerofil.patch which was taken
    from upstream Git and is now fixed in the release.

 -- gregor herrmann <gregoa@debian.org>  Fri, 15 Dec 2023 21:07:34 +0100

libdbd-mysql-perl (4.051-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ gregor herrmann ]
  * Import upstream version 4.051.
  * Refresh test-user.patch (offset).
  * Drop regression-fix-float_type_conversion.patch, applied.
  * Refresh 0001-Fix-for-MariaDB-10.3.13-with-zerofil.patch (offset).
  * Drop fix-returncode-on-connection-closed.patch, merged.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 10 Nov 2023 16:22:55 +0100

libdbd-mysql-perl (4.050-5ubuntu2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:06:47 +0100

libdbd-mysql-perl (4.050-5ubuntu1) mantic; urgency=medium

  * Fix compatibility with MySQL 8.0.34 (LP: #2031548)
    - debian/patches/fix-mysql-8034-compat.patch: don't set
      MYSQL_OPT_RECONNECT as it is deprecated and spews an error message.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 17 Aug 2023 09:32:15 -0400

libdbd-mysql-perl (4.050-5build1) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 16:29:46 +0100

libdbd-mysql-perl (4.050-5) unstable; urgency=medium

  [ Simon Chopin ]
  * d/p/fix-returncode-on-connection-closed.patch: cherry-picked from
    upstream master branch to fix FTBFS against latest MySQL
    (LP: #1960784)

  [ gregor herrmann ]
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 14 Feb 2022 20:56:08 +0100

libdbd-mysql-perl (4.050-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Set upstream metadata fields: Bug-Submit.

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.
  * Replace '--with perl_dbi' in debian/rules with a build dependency on
    'dh-sequence-perl-dbi'.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.
  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.
  * Fix FTCBFS: Set ARCHLIB for the host architecture.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.0.
  * Drop unneeded version constraints from (build) dependencies.
  * Drop unused lintian override.
  * Fix patch headers in regression-fix-float_type_conversion.patch.

 -- gregor herrmann <gregoa@debian.org>  Tue, 02 Nov 2021 19:47:52 +0100

libdbd-mysql-perl (4.050-3) unstable; urgency=medium

  * Update autopkgtest setup.
    Only override smoke test instead of duplicating whole test stack.
    Replace ADTTMP with AUTOPKGTEST_TMP.
    Update debian/tests/control to match the one generated by autodp8.
  * Mark autopkgtest pkg-perl-autopkgtest-build-deps-{mysql,mariadb} as flaky.
    Sometimes mysql/mariadb have issues on ci.debian.net, like running out of
    memory, which shouldn't make this package's tests fail.
    Closes: #942093
  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.1.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Update lintian override (changed output).

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Oct 2019 23:55:51 +0200

libdbd-mysql-perl (4.050-2) unstable; urgency=medium

  * Add patch from upstream Git to fix zerofill breakage with
    MariaDB 10.3.13.
    Thanks to Daniël van Eeden for the fix. (Closes: #923541)

 -- gregor herrmann <gregoa@debian.org>  Thu, 07 Mar 2019 21:49:13 +0100

libdbd-mysql-perl (4.050-1) unstable; urgency=medium

  * Make build dependency on default-libmysqlclient-dev versioned.
    Intermediate versions had dependency issues.
  * debian/tests/control: add test-name feature to the tests.
  * Explicitly build-depend on libssl-dev instead of relying on it being
    pulled in by other build dependencies.

  * Import upstream version 4.050.
    Fixes "FTBFS (test failures) against mariadb 10.3"
    (Closes: #917303)
  * Unfuzz regression-fix-float_type_conversion.patch (change in comment).
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.3.0.
  * Bump debhelper compatibility level to 11.

 -- gregor herrmann <gregoa@debian.org>  Wed, 09 Jan 2019 17:31:08 +0100

libdbd-mysql-perl (4.049-1) unstable; urgency=medium

  * Import upstream version 4.049.
  * Refresh regression-fix-float_type_conversion.patch (offset).
  * Drop fix-bad-mariadb-macro.patch.
    The issue is fixed (differently) in this release.

 -- gregor herrmann <gregoa@debian.org>  Mon, 26 Nov 2018 20:27:39 +0100

libdbd-mysql-perl (4.048-1) unstable; urgency=medium

  [ Xavier Guimard ]
  * Import upstream version 4.048

  [ Paul Gevers ]
  * d/t/control: skip test with mysql-server as it isn't available in
    testing/buster

  [ gregor herrmann ]
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 12 Oct 2018 22:37:19 +0200

libdbd-mysql-perl (4.047-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Xavier Guimard ]
  * Add "Multi-Arch: same" as recommends Lintian
  * Email change: Xavier Guimard -> yadd@debian.org
  * Import upstream version 4.047
  * Update debian/copyright
  * Update patches offsets
  * Declare compliance with policy 4.2.1
  * Add libdevel-checklib-perl in build dependencies
  * Add patch to fix compilation error
  * Remove obsolete autopkgtest restriction (needs-recommends)
  * Update homepage using https link

 -- Xavier Guimard <yadd@debian.org>  Wed, 12 Sep 2018 07:20:14 +0200

libdbd-mysql-perl (4.046-1) unstable; urgency=medium

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Xavier Guimard ]
  * New upstream version
    Fixes:
    - "Regression for zerofill columns" (Closes: #856250)
    - "CVE-2017-10788: Use-after-free when calling mysql_stmt_error() after
      mysql_stmt_close()" (Closes: #866818)
    - "CVE-2017-10789: possible MITM attack when mysql_ssl=1" (Closes: #866821)
  * Bump Standards-Version to 4.1.3
  * Update regression-fix-float_type_conversion.patch

  [ gregor herrmann ]
  * Update debian/upstream/metadata.
  * Bump debhelper compatibility level to 10.
  * Rename debian/source.lintian-overrides to debian/source/lintian-
    overrides. Thanks to lintian.
  * debian/control: drop "Testsuite: autopkgtest" as we have a
    debian/tests/control file. Thanks to lintian.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Feb 2018 23:38:47 +0100

libdbd-mysql-perl (4.041-2) unstable; urgency=medium

  * Add regression-fix-float_type_conversion.patch to fix a regression in
    the conversion of floats which under some circumstances simply
    returned 0.
    Thanks to Brian May for the bug report, and Pali Rohár for backporting
    his fix to 4.041.
    (Closes: #856064)

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Feb 2017 21:43:27 +0100

libdbd-mysql-perl (4.041-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.041
    - CVE-2016-1251: Fix use-after-free for repeated fetchrow_arrayref calls
      when mysql_server_prepare=1

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 28 Nov 2016 22:24:54 +0100

libdbd-mysql-perl (4.040-1) unstable; urgency=medium

  * Import upstream version 4.040.
    Fixes "FTBFS on some architectures". (Closes: #844538)

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Nov 2016 21:58:35 +0100

libdbd-mysql-perl (4.039-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.039
    - CVE-2016-1249: Fixes out-of-bounds read when using server side
      prepared statements with an unaligned number of placeholders in
      WHERE condition and output fields in SELECT expression.
      (Closes: #844475)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 16 Nov 2016 06:42:33 +0100

libdbd-mysql-perl (4.037-5) unstable; urgency=medium

  * debian/tests/pkg-perl/smoke-setup: initialize MySQL server with
    --no-defaults. Otherwise we end up with the data directory in the
    wrong place. (Closes: #842167)

 -- gregor herrmann <gregoa@debian.org>  Thu, 27 Oct 2016 17:32:48 +0200

libdbd-mysql-perl (4.037-4) unstable; urgency=medium

  * autopkgtest: fix smoke test for MySQL case.
    MySQL 5.7 has deprecated the mysql_install_db command, rewritten it and
    thrown away most command line options. Use `/usr/sbin/mysqld --initialize'
    as the proposed alternative now.
    Thanks to ci.debian.net.

 -- gregor herrmann <gregoa@debian.org>  Sat, 22 Oct 2016 14:29:59 +0200

libdbd-mysql-perl (4.037-3) unstable; urgency=medium

  * Run dh_auto_configure under the C.UTF-8 locale.
    This is a workaround for intermittent build failures caused by
    ExtUtils::MakeMaker (see #835988) and Encode (see #835989).

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Oct 2016 15:27:25 +0200

libdbd-mysql-perl (4.037-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Replace build dependency on libmysqlclient-dev with
    default-libmysqlclient-dev. (Closes: #702280)
  * Enable tests during build and autopkgtest.

  [ Niko Tyni ]
  * autopkgtest: run the test suite with both MariaDB and MySQL.

  [ gregor herrmann ]
  * debian/control: change Testsuite header.
    We have an explicit test control file, not the default
    autopkgtest-pkg-perl one.
    Additionally add a lintian override for pkg-perl specific
    nonteam-testsuite-header warning.

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Oct 2016 14:35:02 +0200

libdbd-mysql-perl (4.037-1) unstable; urgency=high

  * Team upload.
  * Import upstream version 4.037
    - Addresses CVE-2016-1246: Possible buffer overflow in prepared
      statements.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 03 Oct 2016 16:39:02 +0200

libdbd-mysql-perl (4.036-1) unstable; urgency=medium

  * Import upstream version 4.036.
  * debian/rules: drop handling of t/mysql.mtest which was modified during
    tests. The file is not included in the tarball anymore.
  * Drop pod-whatis.patch. README.pod is gone.

 -- gregor herrmann <gregoa@debian.org>  Mon, 29 Aug 2016 20:51:29 +0200

libdbd-mysql-perl (4.035-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Import upstream version 4.035.
  * Drop --ssl parameter from Makefile.PL call which is now the default.
  * Remove unused --testuser switch from Makefile.PL call.
  * Set bindnow linker flag in debian/rules.
  * Examples are gone. Remove debian/libdbd-mysql-perl.examples and
    override_dh_installexamples target from debian/rules.
  * Update years of packaging copyright.
  * Remove unused lintian override.
  * Fix spelling mistake in long description. Thanks to lintian.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 Jul 2016 16:45:52 +0200

libdbd-mysql-perl (4.033-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add debian/upstream/metadata.
  * Import upstream version 4.033.
  * Update pod-whatis.patch.
  * Update years of upstream and packaging copyright.
  * Update Homepage in debian/control.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 3.9.6.
  * Update lintian override (line number).
  * debian/rules: drop removal of dbimon*. Seems to be gone.

 -- gregor herrmann <gregoa@debian.org>  Tue, 10 Nov 2015 21:00:38 +0100

libdbd-mysql-perl (4.028-2) unstable; urgency=medium

  * debian/rules: Use $Config{vendorarch} to find perl library path for
    removing stuff from the binary package.

 -- gregor herrmann <gregoa@debian.org>  Mon, 11 Aug 2014 18:08:14 +0200

libdbd-mysql-perl (4.028-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 4.028

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 02 Aug 2014 09:58:23 +0200

libdbd-mysql-perl (4.027-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: add information about files with different copyright
    holders.
  * Add a patch to fix a POD issue.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Apr 2014 18:17:51 +0200

libdbd-mysql-perl (4.026-1) unstable; urgency=medium

  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * New upstream release.
  * Drop fix-whatis.patch, merged upstream.
  * Update years of packaging copyright.
  * Refresh lintian override (changed line number).

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Feb 2014 23:33:02 +0100

libdbd-mysql-perl (4.025-1) unstable; urgency=low

  * Team upload

  * Imported Upstream version 4.025
    + fixes misparsing of single quotes in comments (Closes: #311040)
  * updated years of upstream copyright
  * adapt lintian override about unbreakable line in manual
  * drop trailing slash from metacpan URLs
  * add a patch fixing bad whatis entry in README.pod
  * claim conformance with Policy 3.9.5

 -- Damyan Ivanov <dmn@debian.org>  Wed, 06 Nov 2013 22:52:31 +0200

libdbd-mysql-perl (4.024-1) unstable; urgency=low

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ Xavier Guimard ]
  * Imported Upstream version 4.024
  * Update lintian-overrides offset
  * Remove patches now included in upstream

 -- Xavier Guimard <x.guimard@free.fr>  Tue, 01 Oct 2013 21:13:45 +0200

libdbd-mysql-perl (4.023-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Xavier Guimard ]
  * Imported Upstream version 4.023
  * Update debian/copyright years
  * Bump Standards-Version to 3.9.4 (no changes).
  * Correct copyright format error
  * Adapt patches offsets
  * Update spelling errors patch

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 19 May 2013 18:35:08 +0200

libdbd-mysql-perl (4.021-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: update to Copyright-Format 1.0.
  * Update years of packaging copyright.
  * Use debhelper 9.20120312 to get all hardening flags.
  * Bump Standards-Version to 3.9.3 (no changes).
  * Refresh lintian override (line number).
  * Refresh patches (offset, forward upstream).

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 May 2012 18:09:52 +0200

libdbd-mysql-perl (4.020-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Fix typo in package description. (Closes: #626791)
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * New upstream release.
  * Refresh patches (offset).
  * Update years of packaging copyright.
  * Switch to debhelper 8.

 -- gregor herrmann <gregoa@debian.org>  Sat, 27 Aug 2011 17:59:52 +0200

libdbd-mysql-perl (4.019-1) unstable; urgency=low

  * New upstream release
  * Refreshed patches

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 14 May 2011 22:52:18 +0100

libdbd-mysql-perl (4.018-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New upstream release: 4.017
  * Use perl_dbi addon for dh.
    * Bump build-dependency on libdbi-perl to >= 1.612.
  * Email change: Ansgar Burchardt -> ansgar@debian.org

  [ Nicholas Bamber ]
  * Added myself to Uploaders
  * New upstream release: 4.018
  * Raised standards version to 3.9.2
  * Refreshed copyright
  * Refreshed patches
  * Removed version versioning of zlib1g-dev build dependency
  * Fix permissions in examples directory
  * Email change: Raphael Hertzog -> <hertzog@debian.org>
  * Email change: gregor herrmann -> <gregoa@debian.org>
  * Removed debian/clean and added rules to save and restore t/mysql.mtest
  * Rewrote long description
  * Stopped installing more bits of DBD::mysql::INSTALL and Bundle::DBD::mysql

  [ gregor herrmann ]
  * Email change: Tim Retout -> diocles@debian.org

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 25 Apr 2011 20:51:48 +0100

libdbd-mysql-perl (4.016-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@43-1.org>  Mon, 12 Jul 2010 19:29:27 +0900

libdbd-mysql-perl (4.015-1) unstable; urgency=low

  * New upstream release.
    + Fix issues with placeholders in comments. (Closes: #580479, #584428)
  * Bump Standards-Version to 3.9.0 (no changes).

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 10 Jul 2010 21:55:39 +0900

libdbd-mysql-perl (4.014-1) unstable; urgency=low

  * New upstream release.
  * Add dependency on perl-dbdapi-* (see #577209).
    + Needs build-dep on libdbi-perl (>= 1.610.90+is+1.609-1~).
  * Add myself to Uploaders.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 24 Apr 2010 14:27:37 +0900

libdbd-mysql-perl (4.013-2) unstable; urgency=low

  * Build against libdbi-perl 1.610.90-1

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Fri, 09 Apr 2010 12:03:50 +0200

libdbd-mysql-perl (4.013-1) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Remove myself from Uploaders.

  [ Tim Retout ]
  * New upstream version.
  * debian/control:
    + Remove versioning from perl Build-Depends.
    + Build-Depend on libmysqlclient-dev.

  [ gregor herrmann ]
  * Set Standards-Version to 3.8.4 (no changes).
  * debian/control: remove leading article from short description.
  * Refresh patch and add header.
  * Convert to source format 3.0 (quilt). Remove quilt framework.
  * debian/rules: convert to "dh".
  * Refresh lintian override.
  * Rename debhelper helper files in debian/ to $pkg.*.
  * Add new patch to fix a spelling mistake.
  * debian/copyright: use DEP5 format.

 -- gregor herrmann <gregoa@debian.org>  Sat, 06 Mar 2010 19:53:06 +0100

libdbd-mysql-perl (4.012-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Gunnar Wolf ]
  * Added myself as an uploader
  * New upstream release
  * Standards-version → 3.8.2 (no changes needed)
  * Added build-dependency on quilt
  * Fixed POD to avoid manpage errors. Thanks, lintian!

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 20 Jul 2009 12:36:01 +0200

libdbd-mysql-perl (4.011-1) unstable; urgency=low

  [ Krzysztof Krzyżaniak (eloy) ]
  * New upstream release
  * debian/control: add me to Uploaders, update Standards-Version to 3.8.1
    narrow dependency libdbi-perl to (>= 1.607) (closes: #504648)
  * Update package to debhelper 7, update debian/rules
  * create debian/examples

  [ gregor herrmann ]
  * New upstream release.
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Tue, 28 Apr 2009 23:46:50 +0200

libdbd-mysql-perl (4.008-1) unstable; urgency=low

  * New upstream release.
  * Set Standards-Version to 3.8.0 (no changes).
  * debian/control: wrap a long line.
  * Don't install INSTALL.POD any more.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Aug 2008 14:48:22 -0300

libdbd-mysql-perl (4.007-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: use version-independent upstream source URL.
  * Refresh debian/rules, no functional changes, except:
    - the only test which doesn't need a local MySQL server is enabled
    - README isn't installed any more (only installation instructions)
  * Add a lintian override for a warning concerning a long line in a manpage
    which is caused by a long argument.
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Mon, 19 May 2008 20:49:44 +0200

libdbd-mysql-perl (4.006-1) unstable; urgency=low

  [ Raphael Hertzog ]
  * Move myself to Uploaders and put the team as Maintainer.

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * New upstream release.
  * Set Standards-Version to 3.7.3 (no changes needed).
  * debian/watch: use dist-based URL.
  * debian/rules:
    - use $(CURDIR) instead of calling pwd
    - let install-stamp depend on build-stamp (instead of build)
    - merge "rm"s in clean target
    - add commented out test suite to build target and explain why it's not
      enabled (needs a local MySQL server)
    - remove call to sed that changed some characters in manpages (not
      needed any more)
  * debian/rules: delete /usr/share/perl5 only if it exists.

  [ Roberto C. Sanchez ]
  * Update to debhelper compatibility level 6.

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 09 Jan 2008 22:56:37 -0500

libdbd-mysql-perl (4.005-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 14 Jul 2007 22:32:22 +0200

libdbd-mysql-perl (4.004-2) unstable; urgency=low

  * Now builds with SSL support. Closes: #429065
    Apparently it doesn't need libssl-dev in Build-Depends. It doesn't link
    with the library, it just adds some more code that interacts with the
    server.
  * Add XS-Vcs-Browser fields in debian/control.

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 15 Jun 2007 22:22:23 +0200

libdbd-mysql-perl (4.004-1) unstable; urgency=low

  * New upstream release.
  * Use debian/compat instead of DH_COMPAT.
  * Updated copyright file and converted it to UTF8.

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 03 Apr 2007 19:37:25 +0200

libdbd-mysql-perl (3.0008-1) unstable; urgency=low

  * New upstream release.
  * Don't ignore result of make distclean.
  * Remove empty /usr/share/perl5 directory.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 19 Nov 2006 20:19:57 +0100

libdbd-mysql-perl (3.0007-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat,  9 Sep 2006 20:24:50 +0200

libdbd-mysql-perl (3.0006-1) unstable; urgency=low

  * New upstream release.
  * Set Debhelper Compatibility level to 5.
  * Added examples from eg/ directory to doc/examples/.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 17 Jun 2006 14:42:37 +0200

libdbd-mysql-perl (3.0004-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.7.2.

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 25 May 2006 22:22:19 +0000

libdbd-mysql-perl (3.0002-2) unstable; urgency=low

  * Now links with libmysqlclient15 for Mysql 5.x support. Closes: #343774

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 20 Dec 2005 08:30:08 +0100

libdbd-mysql-perl (3.0002-1) unstable; urgency=low

  * New upstream release. Closes: #318931
  * Conforms to policy 3.6.2.

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 12 Aug 2005 12:28:03 +0200

libdbd-mysql-perl (2.9007-1) unstable; urgency=low

  * New upstream version.
  * Now links with libmysqlclient14 for MySQL 4.1 support. Closes: #310483
  * Thus Build-Depends on libmysqlclient14-dev.

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 25 May 2005 06:59:22 +0000

libdbd-mysql-perl (2.9006-1) unstable; urgency=medium

  * New upstream version. Closes: #293740
  * This version has the fix for the mysql_auto_reconnect problem working only
    once. Closes: #227857

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 15 Apr 2005 10:56:34 +0200

libdbd-mysql-perl (2.9003-4) unstable; urgency=high

  * Switch again to libmysqlclient12-dev. It looks like the license issues
    are finally completely resolved.
    Closes: #298091
  * High urgency upload to make it quickly into sarge.

 -- Raphael Hertzog <hertzog@debian.org>  Mon,  7 Mar 2005 08:11:52 +0100

libdbd-mysql-perl (2.9003-3) unstable; urgency=high

  * Link again libmysqlclient10-dev for sarge. Closes: #270769
  * High urgency upload to make it quickly.

 -- Raphael Hertzog <hertzog@debian.org>  Thu,  9 Sep 2004 13:49:33 +0200

libdbd-mysql-perl (2.9003-2) unstable; urgency=low

  * Link against the main MySQL library again. The exception clause
    let people use the library in connection with other free software
    licenses like the perl artistic one.

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 24 Mar 2004 08:20:00 +0100

libdbd-mysql-perl (2.9003-1) unstable; urgency=low

  * New upstream version.

 -- Raphael Hertzog <hertzog@debian.org>  Mon,  8 Dec 2003 13:47:35 +0000

libdbd-mysql-perl (2.1027-1) unstable; urgency=low

  * New upstream version.

 -- Raphael Hertzog <hertzog@debian.org>  Mon,  9 Jun 2003 12:47:21 +0000

libdbd-mysql-perl (2.1026-3) unstable; urgency=medium

  * Switch to use libmysqlclient10 which is LGPL. Updated build-depends
    accordingly. Closes: #189164
    Latest libmysqlclient is GPL-only and thus can't be used for
    any project which is non-GPL. As DBD::mysql is probably used by dozen
    of non-GPL programs I decided to link it against the last LGPL
    version kindly resurrected by Steve Langasek:
    https://alioth.debian.org/projects/libmysql-lgpl/
  * Sorry if this does mean that you're going to lack some features
    integrated in the latest libs, but you should whine against the
    upstream decision to switch to GPL ...

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 20 Apr 2003 13:28:50 +0000

libdbd-mysql-perl (2.1026-2) unstable; urgency=medium

  * Updated section to perl.
  * Recompile to correctly link with libmysqlclient12. Updated build-depends
    to force build with libmysqlcient-dev (>= 4.0.12-3).
  * Added libssl-dev to the build dependencies. Closes: #188851

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 13 Apr 2003 15:53:30 +0000

libdbd-mysql-perl (2.1026-1) unstable; urgency=low

  * New upstream release. Closes: #188539
  * Recompiled with latest mysql lib.

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 11 Apr 2003 17:20:47 +0200

libdbd-mysql-perl (2.1020-2) unstable; urgency=low

  * Mysql->errno works now. Thanks to Nils Rennebarth.
    Closes: #168967
  * Uploaded to unstable since I've received no useful feedback
    with experimental. Let's see if something breaks ...

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 17 Nov 2002 01:41:03 +0100

libdbd-mysql-perl (2.1020-1) experimental; urgency=low

  * New upstream version. Closes: #167286
  * This is completely different codebase than the old module, thus I
    prefer to upload to experimental first.

 -- Raphael Hertzog <hertzog@debian.org>  Sat,  2 Nov 2002 10:04:29 +0100

libdbd-mysql-perl (1.2219-6) unstable; urgency=low

  * Updated the copyright notice. Closes: #157565

 -- Raphael Hertzog <hertzog@debian.org>  Mon, 26 Aug 2002 12:30:29 +0200

libdbd-mysql-perl (1.2219-5) unstable; urgency=low

  * Compiled with perl 5.8.

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 31 Jul 2002 18:22:04 +0000

libdbd-mysql-perl (1.2219-4) unstable; urgency=low

  * More fixes wrt the insertid that is now long long. Closes: #147715

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 22 May 2002 09:29:13 +0200

libdbd-mysql-perl (1.2219-3) unstable; urgency=low

  * Patched the real dbdimp.c instead of the template. So the compilation
    lost my change. :-(

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 17 May 2002 16:41:44 +0200

libdbd-mysql-perl (1.2219-2) unstable; urgency=low

  * Updated sprintf calls to match the type returned by
    mysql_insert_id & mysql_affected_rows. Closes: #147092

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 16 May 2002 00:54:04 +0200

libdbd-mysql-perl (1.2219-1) unstable; urgency=low

  * New upstream release.

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 30 Apr 2002 15:23:54 +0200

libdbd-mysql-perl (1.2216-2) unstable; urgency=medium

  * Added zlib1g-dev to build depends. Closes: #100798

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 14 Jun 2001 09:14:51 +0200

libdbd-mysql-perl (1.2216-1) unstable; urgency=medium

  * New upstream version. Closes: #98682

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 25 May 2001 22:12:57 +0200

libdbd-mysql-perl (1.2215-3) unstable; urgency=medium

  * Adapted to the latest perl policy which brings back perl in its "perl"
    package.
  * Complies with policy 3.5.2.

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 21 Feb 2001 22:09:53 +0100

libdbd-mysql-perl (1.2215-2) unstable; urgency=low

  * Recompiled with perl-5.6. Closes: #77403

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 19 Nov 2000 15:58:42 +0100

libdbd-mysql-perl (1.2215-1) unstable; urgency=low

  * New upstream version.
  * Recompiled with libmysqlclient10. Closes: #74423, #74496
  * Hopefully, the sparc recompile will be ok this time. Closes: #71012

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 19 Nov 2000 15:58:18 +0100

libdbd-mysql-perl (1.2214-1) unstable; urgency=low

  * Non maintainer upload.
  * New upstream version.

 -- Guillaume Morin <gemorin@debian.org>  Thu, 27 Jul 2000 15:29:49 +0200

libdbd-mysql-perl (1.2202-5) unstable; urgency=low

  * Recompiled with libmysqlclient9. Closes: #66964

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 13 Jul 2000 14:17:22 +0200

libdbd-mysql-perl (1.2202-4) unstable; urgency=low

  * Removed dbimon.1 too. Closes: #47979

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 26 Oct 1999 00:10:22 +0200

libdbd-mysql-perl (1.2202-3) unstable; urgency=low

  * Removed unuseful /usr/bin/dbimon. Closes: #45071

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 17 Sep 1999 14:43:17 +0200

libdbd-mysql-perl (1.2202-2) unstable; urgency=low

  * Policy 3.0.1 compliance. Built with debhelper 2.0.40.

 -- Raphael Hertzog <hertzog@debian.org>  Thu,  9 Sep 1999 12:06:37 +0200

libdbd-mysql-perl (1.2202-1) unstable; urgency=low

  * New maintainer.
  * New upstream version.
  * libdbd-msql-perl and libdbd-mysql-perl have now separate source
    packages.
  * libdbd-mysql-perl is now in main.
  * Acknowledged the previous NMU. Closes: #41533, #35545, #36665
    Closes: #36790, #40524, #38430 (in gnudip)

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Fri, 30 Jul 1999 14:34:51 +0200

msql-mysql-modules (1.2017-1.1) unstable; urgency=low

  * NMU for the perl upgrade. Closes: #41527, #41533
  * Corrected the rules files to conform to perl policy 1.0.1.
  * Upgraded standards-version to 2.5.1.
  * Compiled with perl-5.005.
  * Compiled with the latest mysql libs. Closes: #35545, #36665, #36790, #40524
  * Moved libdbd-mysql-perl to main since it doesn't depend on anything
    non-free. Closes: #38430 in the gnudip package ...
  * In fact moved the source to main and libdbd-msql-perl to contrib ...

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Tue, 20 Jul 1999 23:30:17 +0200

msql-mysql-modules (1.2017-1) unstable; urgency=low

  * New upstream version.
  * Rebuild for new mysql layout. Fixes: #35345, #36665, #36790
  * Comment-out #include <common/portability.h> as this is for a msql
    we don't have..

 -- Ben Gertzfield <che@debian.org>  Thu, 13 May 1999 12:28:11 -0700

msql-mysql-modules (1.2012-1) unstable; urgency=low

  * New upstream version.
  * Bumped dependancy on libdbi-perl to >= 1.02-1 for upgrade
    purposes.

 -- Ben Gertzfield <che@debian.org>  Mon, 28 Dec 1998 15:41:28 -0800

msql-mysql-modules (1.2005-1) unstable; urgency=low

  * New upstream version. Note that 1.2003-2 wasn't uploaded due
    to a problem with upper-case letters in the source name.

 -- Ben Gertzfield <che@debian.org>  Tue, 13 Oct 1998 13:19:17 -0700

msql-mysql-modules (1.2003-2) unstable; urgency=low

  * The msql and mysql DBD drivers have always been in the same source;
    Martin Schulze convinced me to merge them back together properly.
    Msql-Mysql-modules is the real name of the upstream source.
  * Now makes the libdbd-msql-perl package as well as the libdbd-mysql-perl
    package.

 -- Ben Gertzfield <che@debian.org>  Fri, 25 Sep 1998 12:09:40 -0700

libdbd-mysql-perl (1.2003-1) unstable; urgency=low

  * New upstream version, recompiled against libdbi-perl 1.02.
  * Upgraded Standards-Version to 2.4.0.0.
  * Removed call to dh_du in debian/rules.
  * Made build not ask any interactive questions with the kludge
    IN_MYSQL_DISTRIBUTION=true .
  * Changed rm debian/tmp/usr/lib/perl5/DBD/mSQL.pm to rm -f just
    in case it's still there some day.
  * Made the upstream ChangeLog be installed as
    /usr/doc/libdbi-mysql-perl/changelog

 -- Ben Gertzfield <che@debian.org>  Thu, 24 Sep 1998 12:01:58 -0700

libdbd-mysql-perl (1.1832-1) unstable; urgency=low

  * New upstream version.
  * Now dynamically linked against mysql libraries.

 -- Ben Gertzfield <che@debian.org>  Wed, 15 Jul 1998 23:23:31 -0700

libdbd-mysql-perl (1.1827-1) unstable; urgency=low

  * New upstream version.

 -- Ben Gertzfield <che@debian.org>  Wed,  4 Mar 1998 01:12:07 -0800

libdbd-mysql-perl (1.1826-2) unstable; urgency=low

  * Removed call to dh_makeshlibs. Heh. Whoops. Fixes lintian warning.
  * Rebuilt with debhelper 0.60, fixes bad permission lintian warnings.
  * Added in patch from mdorman@law.miami.edu to fix building on Alpha.
    Fixes bug #18072.

 -- Ben Gertzfield <che@debian.org>  Wed, 11 Feb 1998 13:27:54 -0800

libdbd-mysql-perl (1.1826-1) unstable; urgency=low

  * New upstream version.
  * Added in upstream changelog. Fixes bug #17511.

 -- Ben Gertzfield <che@debian.org>  Sun,  1 Feb 1998 11:53:23 -0800

libdbd-mysql-perl (1.1821-2) unstable; urgency=low

  * Removed msql files mistakenly left in the package, bug #16784.

 -- Ben Gertzfield <che@debian.org>  Wed,  7 Jan 1998 20:23:57 -0800

libdbd-mysql-perl (1.1821-1) unstable; urgency=low

  * New maintainer.
  * New upstream version.
  * Compiled to work with new libdbi-perl.

 -- Ben Gertzfield <che@debian.org>  Mon, 29 Dec 1997 13:55:12 -0800

libdbd-mysql-perl (1.65-2) unstable; urgency=low

  * New maintainer
  * Move to contrib

 -- Scott Hanson <shanson@debian.org>  Mon, 27 Oct 1997 08:44:44 +0100

libdbd-mysql-perl (1.65-1) unstable; urgency=low

  * New upstream version
  * Recompiled with libc6, mysql 3.20.29, and perl 5.004.02
  * Upgraded to Standards Version 2.3.0.0
  * Fixed description

 -- Christian Schwarz <schwarz@debian.org>  Thu, 11 Sep 1997 22:01:45 +0200

libdbd-mysql-perl (1.63.1-1) unstable; urgency=low

  * New upstream version.

 -- Christian Schwarz <schwarz@debian.org>  Sat, 3 May 1997 17:29:12 +0200

libdbd-mysql-perl (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Christian Schwarz <schwarz@debian.org>  Sun, 13 Apr 1997 22:51:11 +0200
